@echo off

REM   This batch file filters the DAT files
REM   CE merges all DAT files into initobj.tmp
REM   and then transforms initobj.tmp into a
REM   UNICODE version initobj.dat.
REM   Just before the conversion to unicode
REM   the build system calls PostFmergeObj.bat
REM   (this file). We filter out all the
REM   strings defined in PostFmergeObj.txt
REM   from initobj.tmp
 

echo PostFmergeObj.bat entry.
pushd %_FLATRELEASEDIR%
echo Custom Filtering entries from initobj.tmp
del initobj.org
ren initobj.tmp initobj.org
rem filter out all comment "^;.*$" and empty lines "^$"
findstr /i /v "^;.*$ ^$" initobj.org > initobj.tmp

rem filter out FlashDisk entry if we don't mount as Root
if not "%PRJ_ENABLE_FSMOUNTASROOT%" == "1" (
del initobj.org
ren initobj.tmp initobj.org
findstr /i /v "FlashDisk" initobj.org > initobj.tmp
)

popd
echo PostFmergeObj.bat exit.
@echo on